petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMCompositeSetCoupling

Sets user provided routines that compute the coupling between the separate components (DMs) in a DMto build the correct matrix nonzero structure.

### Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode  DMCompositeSetCoupling(DM dm,PetscErrorCode (*FormCoupleLocations)(DM,Mat,PetscInt*,PetscInt*,PetscInt,PetscInt,PetscInt,PetscInt))

Logically Collective on MPI_Comm Many br

### Input Parameter

| dm | - the composite object Many br
| formcouplelocations | - routine to set the nonzero locations in the matrix Many br

Many br

Notes: See DMSetApplicationContext() and DMGetApplicationContext() for how to get user information into Many brthis routine Many br

Level:advanced
Location:src/dm/impls/composite/pack.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages